org.eclipse.graphiti.mm.algorithms.styles

## Interface RenderingStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RenderingStyleImpl

    public interface RenderingStyle
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Rendering Style'.

The following features are supported:

- `Adapted Gradient Colored Areas`

See Also:
  `StylesPackage.getRenderingStyle()`

### Method Summary

All Methods Instance Methods Abstract Methods
`AdaptedGradientColoredAreas` `getAdaptedGradientColoredAreas()` Returns the value of the 'Adapted Gradient Colored Areas' containment reference.
`void` `setAdaptedGradientColoredAreas(AdaptedGradientColoredAreas value)` Sets the value of the '`Adapted Gradient Colored Areas`' containment reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getAdaptedGradientColoredAreas

    AdaptedGradientColoredAreas getAdaptedGradientColoredAreas()

Returns the value of the 'Adapted Gradient Colored Areas' containment reference.

If the meaning of the 'Adapted Gradient Colored Areas' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Adapted Gradient Colored Areas' containment reference.
See Also:
  `setAdaptedGradientColoredAreas(AdaptedGradientColoredAreas)`, `StylesPackage.getRenderingStyle_AdaptedGradientColoredAreas()`

#### setAdaptedGradientColoredAreas

    void setAdaptedGradientColoredAreas(AdaptedGradientColoredAreas value)

Sets the value of the '`Adapted Gradient Colored Areas`' containment reference.

Parameters:
  `value` - the new value of the 'Adapted Gradient Colored Areas' containment reference.
See Also:
  `getAdaptedGradientColoredAreas()`